DCMTK - Conformance #773

Update data dictionary, list of UIDs, code dictionaries, etc. for the recently approved "DICOM 2017c"

2017-07-10 10:04 - J6rg Riesmeier

Status: Closed

Priority: Normal

Assignee: Jorg Riesmeier

Category: Library and Apps

Target version: 3.6.3

Module: dcmdata, dcmnet, demsr, etc.

Operating System:

Start date: 2017-07-10
Due date:

% Done: 100%
Estimated time: 0:00 hour
Compiler:

Description

DICOM 2017c has been released some days ago, so we need to update the DCMTK accordingly.

Related issues:

Related to DCMTK - Conformance #772: Supplement 192: Protocol Approval Storag... Closed 2017-07-05

History

#1 - 2017-07-17 13:39 - J6rg Riesmeier
- Assignee set to Jérg Riesmeier

- % Done changed from 0 to 20

Updated data dictionary with commit 0b6713b.

#2 - 2017-07-17 13:39 - Jorg Riesmeier

- Status changed from New to Assigned

#3 - 2017-07-17 14:30 - Jorg Riesmeier
- % Done changed from 20 to 60

Updated code definitions with commit 85b7acb and context group classes with commit 63034ff.

#4 - 2017-09-08 13:15 - J6rg Riesmeier
- Status changed from Assigned to Closed

- % Done changed from 60 to 100

Updated list of UIDs (Storage and others) with commit 1fcde11.
